Subject: Re: bug#16292: 24.3.50; info docs now contain single straight quotes instead of `'

From: Eli Zaretskii <[email-masked]>
Date: Sat, 04 Jan 2014 22:11:56 +0200

> Date: Sat, 04 Jan 2014 10:01:28 -0800
> From: Paul Eggert <[email-masked]>
> CC: [email-masked], [email-masked]
> 
> Eli Zaretskii wrote:
> > And using --disable-encoding is a simpler way of achieving
> > that, as it doesn't need any postprocessing.
> 
> No, because we can't assume  that the installer has 'makeinfo'
> and can run 'makeinfo' with --disable-encoding.  Instead, we must use
> universally-available tools like 'sed' when installing.

I wasn't talking about the installers, I was talking about someone who
does the "make info" step.  Of course, this being Free Software, any
end user can redo "make info" if the result is not to her liking.  At
that time, she can override the defaults if she so wants.

> > we should at least fix the handful of manuals that already use
> > "@documentencoding utf-8", or use non-ASCII characters without any
> > @documentencoding, thus producing Info files that might display
> > incorrectly in certain locales.
> 
> None of that would fix the regression that Drew Adams noted.

That regression is not our problem, and if we want to fix it in Emacs,
we can use one of the Emacs display features to display some
characters as some other characters.

> Better would be to leave the files alone, and build the next
> Emacs tarball with Texinfo 4.

I don't mind to use Texinfo 4, if there are no objections.  It would
solve the problem that matters to me.